#pragma once

#include <string>
//#include <filesystem>
#include <vector>

#include "file.h"
#include "util.h"

class Machine;

void set_verbose_level(int argc, char* argv[]);
bool show_usage(int argc, char* argv[]);

fs::path construct_command_pathname(char* command);

std::tuple<std::string, std::string, std::string, std::string, bool, bool>
parse_args(
    const std::vector<std::string>& input_filenames, std::string target,
    std::string output_basename, bool display_only);

void load_klammersets(Machine& machine, const strings_t& symbols);
